Bug 98403 - RPMs won't build with X11,Gnome disabled
Summary: RPMs won't build with X11,Gnome disabled
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-02 13:58 UTC by Steve Snyder
Modified: 2007-03-27 04:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 13:48:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Snyder 2003-07-02 13:58:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
In openssh-3.5p1-6.src.rpm the spec file has the option to disable the building
of openssh RPMs for XFree86 and/or Gnome.  When these options are disabled *no*
openssh RPM are generated.  The build process errors-out with complaints about
installed but unpackaged files.  The files complained about are
"gnome-ssh-askpass.sh" and "gnome-ssh-askpass.csh".


Version-Release number of selected component (if applicable):
From RPM openssh-3.5p1-6.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install the source RPM: rpm -ivh openssh-3.5p1-6.src.rpm
2. Edit the spec file to disable building the GUI packages, by changing the
values of variables "no-x11-askpass and "no-gnome-askpass" to 1.
3. Build from source files: rpmbuild -bb --clean /usr/src/redhat/SPECS/openssh.spec

    

Actual Results:  Source files seemed to compile correctly, but package creation
quit with the complaint about unpackaged files having been installed.


Expected Results:  The build of the non-GUI-related openssh binary RPMs should
be successful.


Additional info:

Comment 1 Tomas Mraz 2005-02-07 13:48:32 UTC
Fixed in the currently released packages.



Note You need to log in before you can comment on or make changes to this bug.